libwpg: libwpg::WPGPen Class Reference documentation

# libwpg::WPGPen Class Reference

`#include <WPGPen.h>`

List of all members.

## Public Member Functions
| WPGPen ()
| WPGPen (const WPGColor &fore)
| WPGPen (const WPGColor &fore, const WPGColor &back)
| WPGPen (const WPGPen &pen)
WPGPen & | operator= (const WPGPen &pen)
## Public Attributes
WPGColor | foreColor
WPGColor | backColor
double | width
double | height
bool | solid
WPGDashArray | dashArray
## Static Public Attributes
static WPGPen | NoPen

## Constructor & Destructor Documentation

libwpg::WPGPen::WPGPen | ( |  | ) |

libwpg::WPGPen::WPGPen | ( | const WPGColor & | fore | ) |

libwpg::WPGPen::WPGPen | ( | const WPGColor & | fore,
|  | const WPGColor & | back |
| ) |  |  |

libwpg::WPGPen::WPGPen | ( | const WPGPen & | pen | ) |

## Member Function Documentation

libwpg::WPGPen & libwpg::WPGPen::operator= | ( | const WPGPen & | pen | ) |

## Member Data Documentation

WPGColor libwpg::WPGPen::foreColor

Referenced by WPG2Parser::handleDPPenForeColor(), WPG1Parser::handleLineAttributes(), WPG2Parser::handlePenForeColor(), operator=(), WPG2Parser::parse(), WPG1Parser::parse(), and libwpg::WPGSVGGenerator::writeStyle().

WPGColor libwpg::WPGPen::backColor

Referenced by WPG2Parser::handleDPPenBackColor(), WPG2Parser::handlePenBackColor(), operator=(), WPG2Parser::parse(), and WPG1Parser::parse().

double libwpg::WPGPen::width

Referenced by WPG2Parser::handleDPPenSize(), WPG1Parser::handleLineAttributes(), WPG2Parser::handlePenSize(), operator=(), WPG2Parser::parse(), WPG1Parser::parse(), and libwpg::WPGSVGGenerator::writeStyle().

double libwpg::WPGPen::height

Referenced by WPG2Parser::handleDPPenSize(), WPG2Parser::handlePenSize(), operator=(), WPG2Parser::parse(), and WPG1Parser::parse().

bool libwpg::WPGPen::solid

Referenced by WPG1Parser::handleLineAttributes(), WPG2Parser::handlePenStyle(), operator=(), WPG2Parser::parse(), WPG1Parser::parse(), and libwpg::WPGSVGGenerator::writeStyle().

WPGDashArray libwpg::WPGPen::dashArray

Referenced by WPG2Parser::handlePenStyle(), operator=(), WPG2Parser::parse(), WPG1Parser::parse(), and libwpg::WPGSVGGenerator::writeStyle().

WPGPen libwpg::WPGPen::NoPen`[static]`

The documentation for this class was generated from the following files:

- WPGPen.h
- WPGPen.cpp